﻿
using System.ComponentModel;
using Wisej.Web;

namespace DataGridViewModalAddEdit
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		BindingList<Person> PeopleList = new BindingList<Person>(); //create empty BindingList
		private void Page1_Load(object sender, System.EventArgs e)
		{
			PeopleList.Add(new Person() { FirstName = "John", LastName = "Doe", Age = 40 });
			dataGridView1.DataSource = PeopleList; //bind the datagridview to the BindingList
			PeopleList.Add(new Person() { FirstName = "Jane", LastName = "Doe", Age = 30 });
			PeopleList.Add(new Person() { FirstName = "Tom", LastName = "Smith", Age = 21 });
			PeopleList.Add(new Person() { FirstName = "Emily", LastName = "Brown", Age = 57 });
			PeopleList.Add(new Person() { FirstName = "Susan", LastName = "Green", Age = 46 });
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			//dialog will not exist outside of this using statement
			//handy because then it doesn't clog up memory and you don't have to remember to dispose of it.
			using (var dialog = new ModalPopup())
			{
				dialog.ShowDialog();
				PeopleList.Add(new Person() { FirstName = dialog.FirstName, LastName = dialog.LastName, Age = dialog.Age });
			}

		}

		private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
		{
			AlertBox.Show("You edited a value. If we were connected to a database, this would be a great time to save it.");
		}
	}
}
